'Compileroption "-s console"
#include "sGUI\sGUI.bas"
#include "sGUI\ToggleGadget.bas"

screen 15,32

InitGFX

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr Toggle
Toggle= AddToggleGadget(event,30,30,200,25,0,"Option")
GadgetOn(Toggle)

'Console öffnen für output
dim as integer ff=freefile
open cons for output as ff
print #ff,"<1> Toggle auf nicht selektiert setzen"
print #ff,"<2> Toggle auf selektiert setzen"
do
  event->xSleep(1)
  if event->GADGETMESSAGE then
    select case event->GADGETMESSAGE
      case Toggle
        'Aktionen die ausgeführt werden wenn Toggle angeklickt wird
        if GetSelect(Toggle) then          '1
          print #ff,"Toggle ist selektiert"
        else                               '0
          print #ff,"Toggle ist nicht selektiert"
        end if
    end select
  end if
  
  if event->KEY<>"" then
    select case event->KEY
      case "1"
        SetSelect(Toggle,0)
        print #ff,"Toggle ist nicht selektiert"
      case "2"
        SetSelect(Toggle,1)
        print #ff,"Toggle ist selektiert"
    end select
  end if
loop until event->EXITEVENT

close ff

DestroyEventHandle (event)
end

/'
function AddToggleGadget (event as EventHandle ptr,x as integer,y as integer,w as integer,h as integer,s as integer,txt as string) as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
w       Breite in px
h       Höhe in px
s       voreingestellte Selektion (0/1)
txt     Buttontext

Kein Alternativtext mehr möglich!!!!!!


sub SetCaption(gad as _Gadget ptr,txt as string)
setzt neuen Text
gad         Zeiger auf ein Control
txt         neuer Text


weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep

'/
